"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var Resource_1 = require("../utils/Resource");
var AccountPlanResource = (function (_super) {
    __extends(AccountPlanResource, _super);
    function AccountPlanResource(requestManager) {
        return _super.call(this, '/accounts/plans', requestManager) || this;
    }
    AccountPlanResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    AccountPlanResource.prototype.create = function (createArgs) {
        return this._create(createArgs);
    };
    AccountPlanResource.prototype.get = function (id) {
        return this._get(id);
    };
    AccountPlanResource.prototype.update = function (id, updateArgs) {
        return this._update(id, updateArgs);
    };
    AccountPlanResource.prototype.del = function (id) {
        return this.destroy(id);
    };
    AccountPlanResource.prototype.destroy = function (id) {
        return this._destroy(id);
    };
    return AccountPlanResource;
}(Resource_1.Resource));
exports.AccountPlanResource = AccountPlanResource;
//# sourceMappingURL=AccountPlan.js.map