"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var Resource_1 = require("../utils/Resource");
var BannerResource = (function (_super) {
    __extends(BannerResource, _super);
    function BannerResource(requestManager) {
        return _super.call(this, '/banners', requestManager) || this;
    }
    BannerResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    BannerResource.prototype.create = function (createArgs) {
        return this._create(createArgs);
    };
    BannerResource.prototype.get = function (id) {
        return this._get(id);
    };
    BannerResource.prototype.update = function (id, updateArgs) {
        return this._update(id, updateArgs);
    };
    BannerResource.prototype.del = function (id) {
        return this.destroy(id);
    };
    BannerResource.prototype.destroy = function (id) {
        return this._destroy(id);
    };
    BannerResource.prototype.getRoleAttributes = function (bannerId) {
        return this.makeRequest({
            method: 'GET',
            params: { bannerId: bannerId },
            url: this.basePath + "/role-attributes"
        });
    };
    BannerResource.prototype.updateRoleAttribute = function (updateArgs) {
        return this.makeRequest({
            method: 'PUT',
            data: updateArgs,
            url: this.basePath + "/role-attributes"
        });
    };
    return BannerResource;
}(Resource_1.Resource));
exports.BannerResource = BannerResource;
//# sourceMappingURL=Banner.js.map