"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var Resource_1 = require("../utils/Resource");
var LicenseResource = (function (_super) {
    __extends(LicenseResource, _super);
    function LicenseResource(requestManager) {
        return _super.call(this, '/licenses', requestManager) || this;
    }
    LicenseResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    LicenseResource.prototype.create = function (createArgs) {
        return this._create(createArgs);
    };
    LicenseResource.prototype.get = function (id) {
        return this._get(id);
    };
    LicenseResource.prototype.update = function (id, updateArgs) {
        return this._update(id, updateArgs);
    };
    LicenseResource.prototype.del = function (id) {
        return this.destroy(id);
    };
    LicenseResource.prototype.destroy = function (id) {
        return this._destroy(id);
    };
    return LicenseResource;
}(Resource_1.Resource));
exports.LicenseResource = LicenseResource;
//# sourceMappingURL=License.js.map