"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var Resource_1 = require("../utils/Resource");
var ProductCategoryResource = (function (_super) {
    __extends(ProductCategoryResource, _super);
    function ProductCategoryResource(requestManager) {
        return _super.call(this, '/products/categories', requestManager) || this;
    }
    ProductCategoryResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    ProductCategoryResource.prototype.create = function (createArgs) {
        return this._create(createArgs);
    };
    ProductCategoryResource.prototype.get = function (id) {
        return this._get(id);
    };
    ProductCategoryResource.prototype.update = function (id, updateArgs) {
        return this._update(id, updateArgs);
    };
    ProductCategoryResource.prototype.decrementPosition = function (id) {
        return this.makeRequest({
            method: 'PUT',
            url: this.basePath + "/" + id + "/decrement-position"
        });
    };
    ProductCategoryResource.prototype.incrementPosition = function (id) {
        return this.makeRequest({
            method: 'PUT',
            url: this.basePath + "/" + id + "/increment-position"
        });
    };
    ProductCategoryResource.prototype.del = function (id) {
        return this.destroy(id);
    };
    ProductCategoryResource.prototype.destroy = function (id) {
        return this._destroy(id);
    };
    return ProductCategoryResource;
}(Resource_1.Resource));
exports.ProductCategoryResource = ProductCategoryResource;
//# sourceMappingURL=ProductCategory.js.map