"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var Resource_1 = require("../utils/Resource");
var PromoCodeResource = (function (_super) {
    __extends(PromoCodeResource, _super);
    function PromoCodeResource(requestManager) {
        return _super.call(this, '/promo-codes', requestManager) || this;
    }
    PromoCodeResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    PromoCodeResource.prototype.create = function (createArgs) {
        return this._create(createArgs);
    };
    PromoCodeResource.prototype.get = function (id) {
        return this._get(id);
    };
    PromoCodeResource.prototype.redeem = function (code) {
        return this.makeRequest({
            method: 'GET',
            params: { code: code },
            url: this.basePath + "/redeem/{code}"
        });
    };
    PromoCodeResource.prototype.clear = function (code) {
        return this.makeRequest({
            method: 'DELETE',
            params: { code: code },
            url: this.basePath + "/redeem/{code}"
        });
    };
    PromoCodeResource.prototype.update = function (id, updateArgs) {
        return this._update(id, updateArgs);
    };
    PromoCodeResource.prototype.del = function (id) {
        return this.destroy(id);
    };
    PromoCodeResource.prototype.destroy = function (id) {
        return this._destroy(id);
    };
    return PromoCodeResource;
}(Resource_1.Resource));
exports.PromoCodeResource = PromoCodeResource;
//# sourceMappingURL=PromoCode.js.map