"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var Resource_1 = require("../utils/Resource");
var ResaleCertificateResource = (function (_super) {
    __extends(ResaleCertificateResource, _super);
    function ResaleCertificateResource(requestManager) {
        return _super.call(this, '/resale-certificates', requestManager) || this;
    }
    ResaleCertificateResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    ResaleCertificateResource.prototype.create = function (createArgs) {
        return this._create(createArgs);
    };
    ResaleCertificateResource.prototype.get = function (id) {
        return this._get(id);
    };
    ResaleCertificateResource.prototype.update = function (id, updateArgs) {
        return this._update(id, updateArgs);
    };
    ResaleCertificateResource.prototype.approve = function (id, approveArgs) {
        return this.makeRequest({
            method: 'PUT',
            data: approveArgs,
            url: this.basePath + "/" + id + "/approve"
        });
    };
    ResaleCertificateResource.prototype.reject = function (id, rejectArgs) {
        return this.makeRequest({
            method: 'PUT',
            data: rejectArgs,
            url: this.basePath + "/" + id + "/reject"
        });
    };
    ResaleCertificateResource.prototype.del = function (id) {
        return this.destroy(id);
    };
    ResaleCertificateResource.prototype.destroy = function (id) {
        return this._destroy(id);
    };
    return ResaleCertificateResource;
}(Resource_1.Resource));
exports.ResaleCertificateResource = ResaleCertificateResource;
//# sourceMappingURL=ResaleCertificate.js.map