import * as Promise from 'bluebird';
import { YLIFTCreateAttributes, YLIFTListAttributes, YLIFTUpdateAttributes, Resource } from '../utils/Resource';
import { RequestManager } from '../RequestManager';
export interface ShippingEstimateAttributes {
    orderAddressId: number;
}
export declare class ShippingResource extends Resource<{}, YLIFTListAttributes, YLIFTCreateAttributes, YLIFTUpdateAttributes> {
    constructor(requestManager: RequestManager);
    estimate(createArgs: ShippingEstimateAttributes): Promise<{}>;
}
