"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var Resource_1 = require("../utils/Resource");
var SkuProductAttributeDescriptionResource = (function (_super) {
    __extends(SkuProductAttributeDescriptionResource, _super);
    function SkuProductAttributeDescriptionResource(requestManager) {
        return _super.call(this, '/products/skus/attribute-descriptions', requestManager) || this;
    }
    SkuProductAttributeDescriptionResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    SkuProductAttributeDescriptionResource.prototype.create = function (createArgs) {
        return this._create(createArgs);
    };
    SkuProductAttributeDescriptionResource.prototype.get = function (id) {
        return this._get(id);
    };
    SkuProductAttributeDescriptionResource.prototype.update = function (id, updateArgs) {
        return this._update(id, updateArgs);
    };
    SkuProductAttributeDescriptionResource.prototype.del = function (id) {
        return this.destroy(id);
    };
    SkuProductAttributeDescriptionResource.prototype.destroy = function (id) {
        return this._destroy(id);
    };
    return SkuProductAttributeDescriptionResource;
}(Resource_1.Resource));
exports.SkuProductAttributeDescriptionResource = SkuProductAttributeDescriptionResource;
//# sourceMappingURL=SkuProductAttributeDescription.js.map