"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var Resource_1 = require("../utils/Resource");
var TrainingResource = (function (_super) {
    __extends(TrainingResource, _super);
    function TrainingResource(requestManager) {
        return _super.call(this, '/trainings', requestManager) || this;
    }
    TrainingResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    TrainingResource.prototype.create = function (createArgs) {
        return this._create(createArgs);
    };
    TrainingResource.prototype.checkAccessible = function (id) {
        return this.makeRequest({
            method: 'GET',
            url: this.basePath + "/" + id + "/accessible"
        });
    };
    TrainingResource.prototype.order = function (orderArgs) {
        return this.makeRequest({
            method: 'POST',
            data: orderArgs,
            url: this.basePath + "/order"
        });
    };
    TrainingResource.prototype.get = function (id) {
        return this._get(id);
    };
    TrainingResource.prototype.update = function (id, updateArgs) {
        return this._update(id, updateArgs);
    };
    TrainingResource.prototype.del = function (id) {
        return this.destroy(id);
    };
    TrainingResource.prototype.destroy = function (id) {
        return this._destroy(id);
    };
    return TrainingResource;
}(Resource_1.Resource));
exports.TrainingResource = TrainingResource;
//# sourceMappingURL=Training.js.map