"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var Resource_1 = require("../utils/Resource");
var VendorResource = (function (_super) {
    __extends(VendorResource, _super);
    function VendorResource(requestManager) {
        return _super.call(this, '/vendors', requestManager) || this;
    }
    VendorResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    VendorResource.prototype.create = function (createArgs) {
        return this._create(createArgs);
    };
    VendorResource.prototype.get = function (id) {
        return this._get(id);
    };
    VendorResource.prototype.getEmailSettings = function (vendorId) {
        return this.makeRequest({
            method: 'GET',
            params: { vendorId: vendorId },
            url: this.basePath + "/email-settings"
        });
    };
    VendorResource.prototype.update = function (id, updateArgs) {
        return this._update(id, updateArgs);
    };
    VendorResource.prototype.updateEmailSettings = function (updateArgs) {
        return this.makeRequest({
            method: 'PUT',
            data: updateArgs,
            url: this.basePath + "/email-settings"
        });
    };
    VendorResource.prototype.del = function (id) {
        return this.destroy(id);
    };
    VendorResource.prototype.destroy = function (id) {
        return this._destroy(id);
    };
    return VendorResource;
}(Resource_1.Resource));
exports.VendorResource = VendorResource;
//# sourceMappingURL=Vendor.js.map