"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var Resource_1 = require("../utils/Resource");
var CartItemResource = (function (_super) {
    __extends(CartItemResource, _super);
    function CartItemResource(requestManager) {
        return _super.call(this, '/carts/{cartId}/items', requestManager) || this;
    }
    CartItemResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    CartItemResource.prototype.create = function (createArgs) {
        return this._create(createArgs);
    };
    CartItemResource.prototype.get = function (id) {
        return this._get(id);
    };
    CartItemResource.prototype.getApplicablePricingRules = function (id) {
        return this.makeRequest({
            method: 'GET',
            params: { id: id },
            url: "/carts/items/{id}/pricing-rules"
        });
    };
    CartItemResource.prototype.update = function (id, updateArgs) {
        return this._update(id, updateArgs);
    };
    CartItemResource.prototype.del = function (id) {
        return this.destroy(id);
    };
    CartItemResource.prototype.destroy = function (id) {
        return this._destroy(id);
    };
    return CartItemResource;
}(Resource_1.Resource));
exports.CartItemResource = CartItemResource;
//# sourceMappingURL=CartItem.js.map