"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var Resource_1 = require("../utils/Resource");
var lodash_1 = require("lodash");
var ClinicResource = (function (_super) {
    __extends(ClinicResource, _super);
    function ClinicResource(requestManager) {
        return _super.call(this, '/clinics', requestManager) || this;
    }
    ClinicResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    ClinicResource.prototype.create = function (createArgs) {
        return this._create(createArgs);
    };
    ClinicResource.prototype.get = function (getArgs) {
        return this._list(getArgs)
            .then(function (_a) {
            var clinics = _a.rows, count = _a.count;
            return lodash_1.head(clinics);
        });
    };
    ClinicResource.prototype.update = function (id, updateArgs) {
        return this._update(id, updateArgs);
    };
    ClinicResource.prototype.del = function (id) {
        return this.destroy(id);
    };
    ClinicResource.prototype.destroy = function (id) {
        return this._destroy(id);
    };
    return ClinicResource;
}(Resource_1.Resource));
exports.ClinicResource = ClinicResource;
//# sourceMappingURL=Clinic.js.map