"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var Resource_1 = require("../utils/Resource");
var NetworkFileResource = (function (_super) {
    __extends(NetworkFileResource, _super);
    function NetworkFileResource(requestManager) {
        return _super.call(this, '/network-files', requestManager) || this;
    }
    NetworkFileResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    NetworkFileResource.prototype.listTags = function () {
        return this.makeRequest({
            method: 'GET',
            url: this.basePath + "/tags"
        });
    };
    NetworkFileResource.prototype.create = function (createArgs) {
        return this._create(createArgs);
    };
    NetworkFileResource.prototype.get = function (id) {
        return this._get(id);
    };
    NetworkFileResource.prototype.update = function (id, updateArgs) {
        return this._update(id, updateArgs);
    };
    NetworkFileResource.prototype.updateBrands = function (id, updateBrandsArgs) {
        return this.makeRequest({
            method: 'PUT',
            data: updateBrandsArgs,
            url: this.basePath + "/" + id + "/brands"
        });
    };
    NetworkFileResource.prototype.updateTrainings = function (id, updateTrainingArgs) {
        return this.makeRequest({
            method: 'PUT',
            data: updateTrainingArgs,
            url: this.basePath + "/" + id + "/trainings"
        });
    };
    NetworkFileResource.prototype.updateProducts = function (id, updateProductsArgs) {
        return this.makeRequest({
            method: 'PUT',
            data: updateProductsArgs,
            url: this.basePath + "/" + id + "/products"
        });
    };
    NetworkFileResource.prototype.updateRoles = function (id, updateRolesArgs) {
        return this.makeRequest({
            method: 'PUT',
            data: updateRolesArgs,
            url: this.basePath + "/" + id + "/roles"
        });
    };
    NetworkFileResource.prototype.updateTags = function (id, updateTagsArgs) {
        return this.makeRequest({
            method: 'PUT',
            data: updateTagsArgs,
            url: this.basePath + "/" + id + "/tags"
        });
    };
    NetworkFileResource.prototype.del = function (id) {
        return this.destroy(id);
    };
    NetworkFileResource.prototype.destroy = function (id) {
        return this._destroy(id);
    };
    return NetworkFileResource;
}(Resource_1.Resource));
exports.NetworkFileResource = NetworkFileResource;
//# sourceMappingURL=NetworkFile.js.map