"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var Resource_1 = require("../utils/Resource");
var ProductBrandResource = (function (_super) {
    __extends(ProductBrandResource, _super);
    function ProductBrandResource(requestManager) {
        return _super.call(this, '/products/brands', requestManager) || this;
    }
    ProductBrandResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    ProductBrandResource.prototype.create = function (createArgs) {
        return this._create(createArgs);
    };
    ProductBrandResource.prototype.get = function (id) {
        return this._get(id);
    };
    ProductBrandResource.prototype.update = function (id, updateArgs) {
        return this._update(id, updateArgs);
    };
    ProductBrandResource.prototype.decrementPosition = function (id) {
        return this.makeRequest({
            method: 'PUT',
            url: this.basePath + "/" + id + "/decrement-position"
        });
    };
    ProductBrandResource.prototype.incrementPosition = function (id) {
        return this.makeRequest({
            method: 'PUT',
            url: this.basePath + "/" + id + "/increment-position"
        });
    };
    ProductBrandResource.prototype.del = function (id) {
        return this.destroy(id);
    };
    ProductBrandResource.prototype.destroy = function (id) {
        return this._destroy(id);
    };
    return ProductBrandResource;
}(Resource_1.Resource));
exports.ProductBrandResource = ProductBrandResource;
//# sourceMappingURL=ProductBrand.js.map