"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var Resource_1 = require("../utils/Resource");
var ProductDiscountResource = (function (_super) {
    __extends(ProductDiscountResource, _super);
    function ProductDiscountResource(requestManager) {
        return _super.call(this, '/products/discounts', requestManager) || this;
    }
    ProductDiscountResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    ProductDiscountResource.prototype.create = function (createArgs) {
        return this._create(createArgs);
    };
    ProductDiscountResource.prototype.get = function (id) {
        return this._get(id);
    };
    ProductDiscountResource.prototype.update = function (id, updateArgs) {
        return this._update(id, updateArgs);
    };
    ProductDiscountResource.prototype.del = function (id) {
        return this.destroy(id);
    };
    ProductDiscountResource.prototype.destroy = function (id) {
        return this._destroy(id);
    };
    ProductDiscountResource.prototype.currentDiscount = function (id, skuId) {
        return this.makeRequest({
            method: 'GET',
            url: this.basePath + "/current-discount/" + id + "/" + skuId
        });
    };
    return ProductDiscountResource;
}(Resource_1.Resource));
exports.ProductDiscountResource = ProductDiscountResource;
//# sourceMappingURL=ProductDiscount.js.map