"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var Resource_1 = require("../utils/Resource");
var TrainingModuleResource = (function (_super) {
    __extends(TrainingModuleResource, _super);
    function TrainingModuleResource(requestManager) {
        return _super.call(this, '/trainings/modules', requestManager) || this;
    }
    TrainingModuleResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    TrainingModuleResource.prototype.create = function (createArgs) {
        return this._create(createArgs);
    };
    TrainingModuleResource.prototype.get = function (id) {
        return this._get(id);
    };
    TrainingModuleResource.prototype.update = function (id, updateArgs) {
        return this._update(id, updateArgs);
    };
    TrainingModuleResource.prototype.reorder = function (reorderArgs) {
        return this.makeRequest({
            method: 'POST',
            url: this.basePath + "/" + reorderArgs.trainingId,
            data: {
                trainingModules: reorderArgs.trainingModules
            }
        });
    };
    TrainingModuleResource.prototype.del = function (id) {
        return this.destroy(id);
    };
    TrainingModuleResource.prototype.destroy = function (id) {
        return this._destroy(id);
    };
    return TrainingModuleResource;
}(Resource_1.Resource));
exports.TrainingModuleResource = TrainingModuleResource;
//# sourceMappingURL=TrainingModule.js.map