"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var Resource_1 = require("../utils/Resource");
var TrainingQuizResource = (function (_super) {
    __extends(TrainingQuizResource, _super);
    function TrainingQuizResource(requestManager) {
        return _super.call(this, '/trainings/quizzes', requestManager) || this;
    }
    TrainingQuizResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    TrainingQuizResource.prototype.create = function (createArgs) {
        return this._create(createArgs);
    };
    TrainingQuizResource.prototype.get = function (id) {
        return this._get(id);
    };
    TrainingQuizResource.prototype.update = function (id, updateArgs) {
        return this._update(id, updateArgs);
    };
    TrainingQuizResource.prototype.del = function (id) {
        return this.destroy(id);
    };
    TrainingQuizResource.prototype.destroy = function (id) {
        return this._destroy(id);
    };
    TrainingQuizResource.prototype.trackCompletion = function (id) {
        return this.makeRequest({
            method: 'POST',
            data: { trainingQuizId: id },
            url: this.basePath + "/completions"
        });
    };
    TrainingQuizResource.prototype.getCompletions = function (listArgs) {
        return this.makeRequest({
            method: 'GET',
            params: listArgs,
            url: this.basePath + "/completions"
        });
    };
    return TrainingQuizResource;
}(Resource_1.Resource));
exports.TrainingQuizResource = TrainingQuizResource;
//# sourceMappingURL=TrainingQuiz.js.map