"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var Resource_1 = require("../utils/Resource");
var TrainingRatingsResource = (function (_super) {
    __extends(TrainingRatingsResource, _super);
    function TrainingRatingsResource(requestManager) {
        return _super.call(this, '/trainings/ratings', requestManager) || this;
    }
    TrainingRatingsResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    TrainingRatingsResource.prototype.create = function (createArgs) {
        return this._create(createArgs);
    };
    TrainingRatingsResource.prototype.update = function (createArgs) {
        return this._create(createArgs);
    };
    TrainingRatingsResource.prototype.my = function (listArgs) {
        return this.makeRequest({
            method: 'GET',
            url: this.basePath + "/my?trainingId=" + listArgs.trainingId
        });
    };
    TrainingRatingsResource.prototype.marks = function (markArgs) {
        return this.makeRequest({
            method: 'GET',
            url: this.basePath + "/marks?trainingId=" + markArgs.trainingId
        });
    };
    TrainingRatingsResource.prototype.del = function (delArgs) {
        return this.makeRequest({
            method: 'DELETE',
            url: this.basePath + "?trainingId=" + delArgs.trainingId
        });
    };
    TrainingRatingsResource.prototype.rated = function (ratedArgs) {
        var url = this.basePath + "/rated?categoryId=" + ratedArgs.categoryId;
        if (ratedArgs.limit) {
            url += "&limit=" + ratedArgs.limit;
        }
        if (ratedArgs.offset) {
            url += "&offset=" + ratedArgs.offset;
        }
        return this.makeRequest({
            method: 'GET',
            url: url
        });
    };
    return TrainingRatingsResource;
}(Resource_1.Resource));
exports.TrainingRatingsResource = TrainingRatingsResource;
//# sourceMappingURL=TrainingRatings.js.map