"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
exports.__esModule = true;
var Resource_1 = require("../utils/Resource");
var TrainingStatisticsResource = (function (_super) {
    __extends(TrainingStatisticsResource, _super);
    function TrainingStatisticsResource(requestManager) {
        return _super.call(this, '/trainings/statistics', requestManager) || this;
    }
    TrainingStatisticsResource.prototype.list = function (listArgs) {
        return this._list(listArgs);
    };
    TrainingStatisticsResource.prototype.finances = function (listArgs) {
        var queryStr = '';
        Object.keys(listArgs).forEach(function (key, index) {
            if (!index) {
                queryStr += '?';
            }
            queryStr += key + "=" + listArgs[key] + "&";
        });
        queryStr = queryStr.substr(0, queryStr.length - 1);
        return this.makeRequest({
            method: 'GET',
            url: this.basePath + "/finances" + queryStr
        });
    };
    return TrainingStatisticsResource;
}(Resource_1.Resource));
exports.TrainingStatisticsResource = TrainingStatisticsResource;
//# sourceMappingURL=TrainingStatistics.js.map