"use strict";
exports.__esModule = true;
var AccountPlan_1 = require("./AccountPlan");
exports.AccountPlanResource = AccountPlan_1.AccountPlanResource;
var AccountSubscription_1 = require("./AccountSubscription");
exports.AccountSubscriptionResource = AccountSubscription_1.AccountSubscriptionResource;
var Address_1 = require("./Address");
exports.AddressResource = Address_1.AddressResource;
var Banner_1 = require("./Banner");
exports.BannerResource = Banner_1.BannerResource;
var Cart_1 = require("./Cart");
exports.CartResource = Cart_1.CartResource;
var CartItem_1 = require("./CartItem");
exports.CartItemResource = CartItem_1.CartItemResource;
var Clinic_1 = require("./Clinic");
exports.ClinicResource = Clinic_1.ClinicResource;
var Event_1 = require("./Event");
exports.EventResource = Event_1.EventResource;
var License_1 = require("./License");
exports.LicenseResource = License_1.LicenseResource;
var NetworkFile_1 = require("./NetworkFile");
exports.NetworkFileResource = NetworkFile_1.NetworkFileResource;
var Order_1 = require("./Order");
exports.OrderResource = Order_1.OrderResource;
var OrderAddress_1 = require("./OrderAddress");
exports.OrderAddressResource = OrderAddress_1.OrderAddressResource;
var OrderItem_1 = require("./OrderItem");
exports.OrderItemResource = OrderItem_1.OrderItemResource;
var Patient_1 = require("./Patient");
exports.PatientResource = Patient_1.PatientResource;
var PatientAddress_1 = require("./PatientAddress");
exports.PatientAddressResource = PatientAddress_1.PatientAddressResource;
var PatientAllergy_1 = require("./PatientAllergy");
exports.PatientAllergyResource = PatientAllergy_1.PatientAllergyResource;
var Plan_1 = require("./Plan");
exports.PlanResource = Plan_1.PlanResource;
var Prescription_1 = require("./Prescription");
exports.PrescriptionResource = Prescription_1.PrescriptionResource;
var PrescriptionCart_1 = require("./PrescriptionCart");
exports.PrescriptionCartResource = PrescriptionCart_1.PrescriptionCartResource;
var PrescriptionCartItem_1 = require("./PrescriptionCartItem");
exports.PrescriptionCartItemResource = PrescriptionCartItem_1.PrescriptionCartItemResource;
var PricingRule_1 = require("./PricingRule");
exports.PricingRuleResource = PricingRule_1.PricingRuleResource;
var Product_1 = require("./Product");
exports.ProductResource = Product_1.ProductResource;
var ProductAttribute_1 = require("./ProductAttribute");
exports.ProductAttributeResource = ProductAttribute_1.ProductAttributeResource;
var ProductBrand_1 = require("./ProductBrand");
exports.ProductBrandResource = ProductBrand_1.ProductBrandResource;
var ProductBrandMedia_1 = require("./ProductBrandMedia");
exports.ProductBrandMediaResource = ProductBrandMedia_1.ProductBrandMediaResource;
var ProductBundle_1 = require("./ProductBundle");
exports.ProductBundleResource = ProductBundle_1.ProductBundleResource;
var ProductBundleItem_1 = require("./ProductBundleItem");
exports.ProductBundleItemResource = ProductBundleItem_1.ProductBundleItemResource;
var ProductCategory_1 = require("./ProductCategory");
exports.ProductCategoryResource = ProductCategory_1.ProductCategoryResource;
var ProductClick_1 = require("./ProductClick");
exports.ProductClickResource = ProductClick_1.ProductClickResource;
var ProductMedia_1 = require("./ProductMedia");
exports.ProductMediaResource = ProductMedia_1.ProductMediaResource;
var ProductShippingSetting_1 = require("./ProductShippingSetting");
exports.ProductShippingSettingResource = ProductShippingSetting_1.ProductShippingSettingResource;
var ProductSubcategory_1 = require("./ProductSubcategory");
exports.ProductSubcategoryResource = ProductSubcategory_1.ProductSubcategoryResource;
var Profile_1 = require("./Profile");
exports.ProfileResource = Profile_1.ProfileResource;
var ProfileEmail_1 = require("./ProfileEmail");
exports.ProfileEmailResource = ProfileEmail_1.ProfileEmailResource;
var ProfileLicense_1 = require("./ProfileLicense");
exports.ProfileLicenseResource = ProfileLicense_1.ProfileLicenseResource;
var ProfileVendorContact_1 = require("./ProfileVendorContact");
exports.ProfileVendorContactResource = ProfileVendorContact_1.ProfileVendorContactResource;
var PromoCode_1 = require("./PromoCode");
exports.PromoCodeResource = PromoCode_1.PromoCodeResource;
var ResaleCertificate_1 = require("./ResaleCertificate");
exports.ResaleCertificateResource = ResaleCertificate_1.ResaleCertificateResource;
var Review_1 = require("./Review");
exports.ReviewResource = Review_1.ReviewResource;
var Role_1 = require("./Role");
exports.RoleResource = Role_1.RoleResource;
var SalesAccount_1 = require("./SalesAccount");
exports.SalesAccountResource = SalesAccount_1.SalesAccountResource;
var SalesAccountAddress_1 = require("./SalesAccountAddress");
exports.SalesAccountAddressResource = SalesAccountAddress_1.SalesAccountAddressResource;
var SalesAccountContact_1 = require("./SalesAccountContact");
exports.SalesAccountContactResource = SalesAccountContact_1.SalesAccountContactResource;
var Shipping_1 = require("./Shipping");
exports.ShippingResource = Shipping_1.ShippingResource;
var Sku_1 = require("./Sku");
exports.SkuResource = Sku_1.SkuResource;
var SkuProductAttributeDescription_1 = require("./SkuProductAttributeDescription");
exports.SkuProductAttributeDescriptionResource = SkuProductAttributeDescription_1.SkuProductAttributeDescriptionResource;
var StateTaxableProductCategoryExemptionRule_1 = require("./StateTaxableProductCategoryExemptionRule");
exports.StateTaxableProductCategoryExemptionRuleResource = StateTaxableProductCategoryExemptionRule_1.StateTaxableProductCategoryExemptionRuleResource;
var Subscription_1 = require("./Subscription");
exports.SubscriptionResource = Subscription_1.SubscriptionResource;
var TaxableProductCategory_1 = require("./TaxableProductCategory");
exports.TaxableProductCategoryResource = TaxableProductCategory_1.TaxableProductCategoryResource;
var TaxExemptionRule_1 = require("./TaxExemptionRule");
exports.TaxExemptionRuleResource = TaxExemptionRule_1.TaxExemptionRuleResource;
var Training_1 = require("./Training");
exports.TrainingResource = Training_1.TrainingResource;
var TrainingCategory_1 = require("./TrainingCategory");
exports.TrainingCategoryResource = TrainingCategory_1.TrainingCategoryResource;
var TrainingCompletion_1 = require("./TrainingCompletion");
exports.TrainingCompletionResource = TrainingCompletion_1.TrainingCompletionResource;
var TrainingLocation_1 = require("./TrainingLocation");
exports.TrainingLocationResource = TrainingLocation_1.TrainingLocationResource;
var TrainingLecture_1 = require("./TrainingLecture");
exports.TrainingLectureResource = TrainingLecture_1.TrainingLectureResource;
var TrainingQuiz_1 = require("./TrainingQuiz");
exports.TrainingQuizResource = TrainingQuiz_1.TrainingQuizResource;
var TrainingStatistics_1 = require("./TrainingStatistics");
exports.TrainingStatisticsResource = TrainingStatistics_1.TrainingStatisticsResource;
var TrainingMaterial_1 = require("./TrainingMaterial");
exports.TrainingMaterialResource = TrainingMaterial_1.TrainingMaterialResource;
var TrainingQuestion_1 = require("./TrainingQuestion");
exports.TrainingQuestionResource = TrainingQuestion_1.TrainingQuestionResource;
var TrainingModule_1 = require("./TrainingModule");
exports.TrainingModuleResource = TrainingModule_1.TrainingModuleResource;
var TrainingAnswer_1 = require("./TrainingAnswer");
exports.TrainingAnswerResource = TrainingAnswer_1.TrainingAnswerResource;
var Vendor_1 = require("./Vendor");
exports.VendorResource = Vendor_1.VendorResource;
var VendorAddress_1 = require("./VendorAddress");
exports.VendorAddressResource = VendorAddress_1.VendorAddressResource;
var VendorContact_1 = require("./VendorContact");
exports.VendorContactResource = VendorContact_1.VendorContactResource;
var VendorOrderRule_1 = require("./VendorOrderRule");
exports.VendorOrderRuleResource = VendorOrderRule_1.VendorOrderRuleResource;
var VendorShippingSetting_1 = require("./VendorShippingSetting");
exports.VendorShippingSettingResource = VendorShippingSetting_1.VendorShippingSettingResource;
var TrainingRatings_1 = require("./TrainingRatings");
exports.TrainingRatingsResource = TrainingRatings_1.TrainingRatingsResource;
var TrainingDiscounts_1 = require("./TrainingDiscounts");
exports.TrainingDiscountsResource = TrainingDiscounts_1.TrainingDiscountsResource;
var EnvironmentSettings_1 = require("./EnvironmentSettings");
exports.EnvironmentSettingsResource = EnvironmentSettings_1.EnvironmentSettingsResource;
var ProductDiscount_1 = require("./ProductDiscount");
exports.ProductDiscountResource = ProductDiscount_1.ProductDiscountResource;
var ProductDiscountThreshold_1 = require("./ProductDiscountThreshold");
exports.ProductDiscountThresholdResource = ProductDiscountThreshold_1.ProductDiscountThresholdResource;
var CombinedDiscount_1 = require("./CombinedDiscount");
exports.CombinedDiscountResource = CombinedDiscount_1.CombinedDiscountResource;
var CombinedDiscountItem_1 = require("./CombinedDiscountItem");
exports.CombinedDiscountItemResource = CombinedDiscountItem_1.CombinedDiscountItemResource;
//# sourceMappingURL=index.js.map